//检测升级
function update(flag) {
	// 获取本地应用资源版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		wgtVer = inf.version;
		//alert("当前应用版本：" + wgtVer);
		//检测新版本
		checkUpdate(wgtVer, flag);
	});
}
//检查更新
function checkUpdate(wgtVer, flag) {
	var checkUrl = GLOBAL_PATH + '/appJinan/update/version.json';
	//	var checkUrl = 'http://10.0.1.162:8020/appJinan/json/version.json';
	plus.nativeUI.showWaiting("检测更新...");
	$.ajax({
		type: "get",
		url: checkUrl,
		async: true,
		dataType: 'json',
		success: function(data) {
			plus.nativeUI.closeWaiting();
			var newVer = data.version;
			if (wgtVer && newVer && (wgtVer != newVer)) {
				var downed = confirm('有新版本需要更新,是否继续?');
				if (downed) {
					downWgt(data.fileName); // 下载升级包
				}
			} else {
				if (!flag) {
					alert("无新版本可更新！");
				}

			}
		},
		error: function() {
			alert("检测更新失败！");
			plus.nativeUI.closeWaiting();
		}
	});
}
//下载
function downWgt(fileName) {
	var wgtUrl = GLOBAL_PATH + '/appJinan/update/'+fileName;
	//var wgtUrl = "http://10.0.1.162:8020/appJinan/json/H5F4E6650.wgt";
	plus.nativeUI.showWaiting("下载更新包...");
	plus.downloader.createDownload(wgtUrl, {
		filename: "_doc/update/"
	}, function(d, status) {
		if (status == 200) {
			//alert("下载wgt成功：" + d.filename);
			installWgt(d.filename); // 安装wgt包
		} else {
			alert("资源下载失败！");
		}
		plus.nativeUI.closeWaiting();
	}).start();
}

// 更新应用资源
function installWgt(path) {
	plus.nativeUI.showWaiting("正在安装更新...");
	plus.runtime.install(path, {}, function() {
		plus.nativeUI.closeWaiting();
		plus.io.resolveLocalFileSystemURL(path, function(entry) {
			entry.remove();
		});
		alert("应用资源更新完成！", function() {
			plus.runtime.restart();
		});
	}, function(e) {
		plus.nativeUI.closeWaiting();
		plus.io.resolveLocalFileSystemURL(path, function(entry) {
			entry.remove();
		});
		alert("更新失败[" + e.code + "]：" + e.message);
	});
}