var NET_PATH='http://znpt2014.xicp.net:8088';
var GLOBAL_PATH = NET_PATH+'/city_shibei';
//var NET_PATH='http://10.0.1.162:8080';
//var GLOBAL_PATH = NET_PATH+'/dm_city';
var ANALYSISCHART_TYPE = {
    TYPE_STATIC: 0,
    TYPE_DYMIC: 2,
    TYPE_STATIC_CH: '静态分析图表',
    TYPE_DYMIC_CH: '动态分析图表',
    getCH: function (type) {
        switch (type) {
            case this.TYPE_STATIC:
                return this.TYPE_STATIC_CH;
            case this.TYPE_DYMIC :
                return this.TYPE_DYMIC_CH;
        }
        return '';

    }
};
var ANALYSISCHART_INFO = {
    SERIES_HIDE: 0,
    SERIES_SHOW: 1,

    REALNODE: 1,
    VIRTUALNODE: 0,

    TYPE_CATEGORY: 0,
    TYPE_SERIES: 1,
    TYPE_CATEGORY_CH: '分类',
    TYPE_SERIES_CH: '序列',
    //左轴
    LEFTAXIS: 0,
    //右轴
    RIGHTAXIS: 1,
    //折线图
    CHART_LINE: 0,
    //曲线图
    CHART_CURVE: 1,
    //柱状图
    CHART_COLUMN: 2,
    //饼图
    CHART_PIE: 3,
    //散点图
    CHART_SCATTER: 4,
    //地图
    CHART_MAP: 5,

    SERIES_HIDE_CH: '不显示',
    SERIES_SHOW_CH: '显示',
    REALNODE_CH: '实节点',
    VIRTUALNODE_CH: '虚结点',

    LEFTAXIS_CH: '左轴',
    RIGHTAXIS_CH: '右轴',
    //折线图
    CHART_LINE_CH: '折线图',
    //曲线图
    CHART_CURVE_CH: '曲线图',
    //柱状图
    CHART_COLUMN_CH: '柱状图',
    //饼图
    CHART_PIE_CH: '饼图',
    //散点图
    CHART_SCATTER_CH: '散点图',
    //地图
    CHART_MAP_CH: '地图',

    CHART_LINE_EN: 'line',//折线图
    CHART_CURVE_EN: 'spline',//曲线图
    CHART_COLUMN_EN: 'bar',//柱状图
    CHART_PIE_EN: 'pie',//饼图
    CHART_SCATTER_EN: 'scatter',//散点图
    CHART_MAP_EN: 'map',//地图
    getSeriesShowCH: function (type) {
        switch (type) {
            case this.SERIES_HIDE:
                return this.SERIES_HIDE_CH;
            case this.SERIES_SHOW :
                return this.SERIES_SHOW_CH;
        }
        return '';
    },

    getChartInfoTypeCH: function (type) {
        switch (type) {
            case this.TYPE_CATEGORY:
                return this.TYPE_CATEGORY_CH;
            case this.TYPE_SERIES :
                return this.TYPE_SERIES_CH;
        }
        return '';

    },
    getChartAxisTypeCH: function (type) {
        switch (type) {
            case this.LEFTAXIS:
                return this.LEFTAXIS_CH;
            case this.RIGHTAXIS :
                return this.RIGHTAXIS_CH;
        }
        return '';

    },
    getChartTypeCH: function (type) {
        switch (type) {
            case this.CHART_LINE:
                return this.CHART_LINE_CH;
            case this.CHART_CURVE:
                return this.CHART_CURVE_CH;
            case this.CHART_COLUMN:
                return this.CHART_COLUMN_CH;
            case this.CHART_PIE:
                return this.CHART_PIE_CH;
            case this.CHART_SCATTER :
                return this.CHART_SCATTER_CH;
            case this.CHART_MAP :
                return this.CHART_MAP_CH;
        }
        return '';
    },
    getEN: function (type, plug) {
        switch (type) {
            case 0:
                return this.CHART_LINE_EN;
            case 1:
                switch (plug) {
                    case 'highcharts':
                        return this.CHART_CURVE_EN;
                        break;
                    default://默认echarts
                        return this.CHART_LINE_EN;
                }
            case 2:
                switch (plug) {
                    case 'highcharts':
                        return 'column';//this.CHART_COLUMN_EN;
                        break;
                    default://默认echarts
                        return this.CHART_COLUMN_EN;
                }
            case 3:
                return this.CHART_PIE_EN;
            case 4:
                return this.CHART_SCATTER_EN;
            case 5:
                return this.CHART_MAP_EN;
            default :
                return this.CHART_LINE_EN;
        }
    }
}
var PERIOD_TYPE = {
    YEAR: 1,
    /**
     * 半年报
     */
    HALF: 2,
    /**
     * 季报
     */
    QUARTER: 3,
    /**
     * 月报
     */
    MONTH: 4,
    YEAR_CH: '年',
    HALF_CH: '半年',
    QUARTER_CH: '季',
    MONTH_CH: '月',
    getCH: function (type) {
        switch (type) {
            case this.YEAR :
                return this.YEAR_CH;
            case this.HALF:
                return this.HALF_CH;
            case this.QUARTER :
                return this.QUARTER_CH;
            case this.MONTH:
                return this.MONTH_CH;
        }
        return '';
    }
};

var SUROBJ_TYPE = {
    TYPE_AREA: 1,
    TYPE_AREA_CH: '地区统计对象',
    TYPE_OTHER: 2,
    TYPE_OTHER_CH: '其他统计对象',
    TYPE_COMP: 3,
    TYPE_COMP_CH: '名录统计对象',
    getCH: function (type) {
        switch (type) {
            case this.TYPE_AREA:
                return SUROBJ_TYPE.TYPE_AREA_CH;
            case this.TYPE_OTHER :
                return SUROBJ_TYPE.TYPE_OTHER_CH;
            case this.TYPE_COMP_CH :
                return SUROBJ_TYPE.TYPE_COMP_CH;
        }
        return '';
    }
}
//默认调查对象和默认地区id
var surObjId = 1241;
//源数据类型
var METADATA_TYPE = {
    ITEM: 1001,//指标
    DYNAMIC_ITEM: 10011,//动态指标
    ITEM_GROUP: 1002,//指标体系
    ITEM_MENU: 3,//指标分组目录
    DYNAMIC_ITEMGROUP: 10021,//动态指标分组目录
    RESEARCH_OBJ: 1,//调查对象
    DYNAMIC_SUROBJ: 11,//动态调查对象
    RESEARCH_OBJ_GROUP: 2,//调查对象分组
    TIME_FRAME: 12,//时间框架
    DYNAMIC_TIMEFRAME: 121,//动态时间框架
    TIME: 666,//时间类型
    TIME_CH: '时间',//时间类型
    DYNAMIC_TIME: 999,//时间类型
    SYSTEM_DESCRIBE_TYPE: 8801,//描述类型
    INFO_YEAR: 1,//时间频度类型：年
    INFO_PERIOD: 2,//时间频度类型：半年
    DATA_BEGIN_YEAR: 1,//连续：开始年
    DATA_BEGIN_PERIOD: 2,//连续：开始期度
    DATA_END_YEAR: 3,//连续：结束年
    DATA_END_PERIOD: 4,//连续：结束期度
    DATA_YEAR: 5,//选择：年份
    DATA_PERIOD: 6,//选择：期度
    DATA_NUMBER: 7,//报告期数
    LIANXU: 1,//          连续时间范围
    XUANZE: 2,//        选择时间范围
    BAOGAOQI: 3,//        报告期数时间范围
    getTimeRange: function (type, periodType, data) {
        switch (type) {
            case this.LIANXU:
                var beginPeriod = "";
                if (FREQUENCY_TYPE.getString(periodType, data[1].dataValue)) {
                    beginPeriod = FREQUENCY_TYPE.getString(periodType, data[1].dataValue);
                }
                var endPeriod = "";
                if (FREQUENCY_TYPE.getString(periodType, data[3].dataValue)) {
                    endPeriod = FREQUENCY_TYPE.getString(periodType, data[3].dataValue);
                }
                return data[0].dataValue + "年"
                    + beginPeriod
                    + "至" + data[2].dataValue + "年"
                    + endPeriod;
            case this.XUANZE :
                var years = "";
                var periods = "";
                for (var i = 0; i < data.length; i++) {
                    if (data[i].dataType == this.DATA_YEAR) {
                        years += data[i].dataValue + ","
                    } else {
                        if (FREQUENCY_TYPE.getString(periodType, data[i].dataValue)) {
                            periods += FREQUENCY_TYPE.getString(periodType, data[i].dataValue) + ",";
                        }

                    }
                }
                if (periods) {
                    return "年(" + years.substring(0, years.length - 1) + "),报告期(" + periods.substring(0, periods.length - 1) + ")";
                } else {
                    return "年(" + years.substring(0, years.length - 1) + ")";
                }
            case this.BAOGAOQI :
                return "最新" + data[0].dataValue + "期";
        }
        return '';
    },
    getSingleTime: function (type, periodType, data) {
        var year = "";
        var month = "";
        var isNewPeriod = false;
        switch (type) {
            case this.LIANXU:
                year = data[0].dataValue;
                month = data[1].dataValue;
                break;
            case this.XUANZE :
                for (var i = 0; i < data.length; i++) {
                    if (data[i].dataType == this.DATA_YEAR) {
                        year = data[i].dataValue;
                    } else {
                        month = data[i].dataValue;
                    }
                }
                break;
            case this.BAOGAOQI :
                isNewPeriod = true;
                break;
        }
        var obj = {
            isNewPeriod: isNewPeriod,
            year: year,
            month: month
        };
        return obj;
    }
};
//图表结构
var STRUCTURE_TYPE = {
    CATEGORY: 0,//分类轴
    SERIES: 1//序列
};
//节点类型
var NODE_TYPE = {
    EMPTY: 0,//虚节点
    EMPTY_CH: '虚节点',//虚节点
    REAL: 1,//实节点
    REAL_CH: '实节点'
};
//调查对象类型
var SUROBJ_TYPE = {
    AREA: 1,//地区统计对象
    AREA_CH: '地区统计对象',//地区统计对象
    OTHER: 2,//其他统计对象
    OTHER_CH: '其他统计对象',//其他统计对象
    COMPANY: 3,//名录统计对象
    COMPANY_CH: '名录统计对象'//名录统计对象
};
//报表设计类型
var FREQUENCY_TYPE = {
    YEAR: 12,//年报
    YEAR_STRING: '年',//年报
    HALF_UP: 6,//上半年
    HALF_UP_STRING: '上半年',
    HALF_DOWN: 12,//下半年
    HALF_DOWN_STRING: '下半年',
    QUARTER_1: 3,//一季度
    QUARTER_1_STRING: '1季度',
    QUARTER_2: 6,//二季度
    QUARTER_2_STRING: '2季度',
    QUARTER_3: 9,//三季度
    QUARTER_3_STRING: '3季度',
    QUARTER_4: 12,//四季度
    QUARTER_4_STRING: '4季度',
    MONTH_1: 1,
    MONTH_1_STRING: '1月',
    MONTH_2: 2,
    MONTH_2_STRING: '2月',
    MONTH_3: 3,
    MONTH_3_STRING: '3月',
    MONTH_4: 4,
    MONTH_4_STRING: '4月',
    MONTH_5: 5,
    MONTH_5_STRING: '5月',
    MONTH_6: 6,
    MONTH_6_STRING: '6月',
    MONTH_7: 7,
    MONTH_7_STRING: '7月',
    MONTH_8: 8,
    MONTH_8_STRING: '8月',
    MONTH_9: 9,
    MONTH_9_STRING: '9月',
    MONTH_10: 10,
    MONTH_10_STRING: '10月',
    MONTH_11: 11,
    MONTH_11_STRING: '11月',
    MONTH_12: 12,
    MONTH_12_STRING: '12月',
    /**
     * 根据类型返回对应id值得日期名称
     * @param type (int)类型：1：年报，2：半年，3：季，4：月
     * @param id (int)id值：1,2,3,4,5,6,7,8,9,10,11,12
     * @param year
     */
    getTime: function (type, id, year) {
        var period = this.getString(type, id);
        if (period) {
            return year + this.YEAR_STRING + period;
        } else {
            return year + this.YEAR_STRING
        }
    },
    /**
     * 根据类型返回对应id值得期度名称
     * @param type (int)类型：1：年报，2：半年，3：季，4：月
     * @param id (int)id值：1,2,3,4,5,6,7,8,9,10,11,12
     */
    getString: function (type, id) {
        var rs = "";
        switch (type) {
            case 1://年报
                break;
            case 2://半年报
                switch (id) {
                    case 6:
                        rs = this.HALF_UP_STRING;
                        break;
                    case 12:
                        rs = this.HALF_DOWN_STRING;
                        break;
                }
                break;
            case 3://季
                switch (id) {
                    case 3:
                        rs = this.QUARTER_1_STRING;
                        break;
                    case 6:
                        rs = this.QUARTER_2_STRING;
                        break;
                    case 9:
                        rs = this.QUARTER_3_STRING;
                        break;
                    case 12:
                        rs = this.QUARTER_4_STRING;
                        break;
                }
                break;
            case 4://月
                switch (id) {
                    case 1:
                        rs = this.MONTH_1_STRING;
                        break;
                    case 2:
                        rs = this.MONTH_2_STRING;
                        break;
                    case 3:
                        rs = this.MONTH_3_STRING;
                        break;
                    case 4:
                        rs = this.MONTH_4_STRING;
                        break;
                    case 5:
                        rs = this.MONTH_5_STRING;
                        break;
                    case 6:
                        rs = this.MONTH_6_STRING;
                        break;
                    case 7:
                        rs = this.MONTH_7_STRING;
                        break;
                    case 8:
                        rs = this.MONTH_8_STRING;
                        break;
                    case 9:
                        rs = this.MONTH_9_STRING;
                        break;
                    case 10:
                        rs = this.MONTH_10_STRING;
                        break;
                    case 11:
                        rs = this.MONTH_11_STRING;
                        break;
                    case 12:
                        rs = this.MONTH_12_STRING;
                        break;
                }
                break;
        }
        return rs;
    }
};

//类型
var DATA_DICT_TYPE = {
    RPT_SYNTHESIZE: 1,//综合表
    RPT_CUSTOM: 2,//自定义表
    CHART: 3,//图表
    TEXT_THEME: 10,//分析主题
    TEXT_DESC: 5,//文字分析
    DATA_SET: 9//数据集
};

//类型对应的div的css名称
var DATA_DIV_CSS_NAME = {
    TABLE : "table",
     CHART : "charts",
     TEXT  : "text",
    getCssName : function(type){
        var cssName = "";

        switch (type){
            case DATA_DICT_TYPE.RPT_SYNTHESIZE:
            case DATA_DICT_TYPE.RPT_CUSTOM:
                cssName =  DATA_DIV_CSS_NAME.TABLE;
                break;
            case DATA_DICT_TYPE.CHART:
                cssName = DATA_DIV_CSS_NAME.CHART;
                break;
            case DATA_DICT_TYPE.TEXT_THEME:
            case DATA_DICT_TYPE.TEXT_DESC:
                cssName = DATA_DIV_CSS_NAME.TEXT;
                break;
        }

        return cssName;
    }
};

var MODULEIDS = {
	FOCUS: 1,			//重点关注
	THEMATIC_DATA : 3,	//对标数据
	SYNTHETIC_DATA : 2		//数据字典
}

var DEFAULT_AREA=1738;



